-- Dungeon Tactics
-- Copyright 2012 lukas w. irwin [ lukas.w.irwin@gmail.com ]
-- This program is free software under the terms of the GNU General Public License version 3 or later.
-- pathnode.lua

pathnode = { ID = 0 }

-- print "[pathnode]"

-- creation
function pathnode:new (o)
	-- print "[pathnode] new pathnode"
	o = o or {}
	setmetatable(o, self)
	self.__index = self

	self.tileID = nil   -- index ov tile
	self.parent = nil   -- index ov parent tile
	self.F = 0
	self.G = 0
	self.H = 0
	-- F = G + H
	-- H = distance to target
	-- G = movement cost to get to square

	return o
end

function pathnode:getF () return self.F end
function pathnode:setF ( i ) self.F = i end

function pathnode:getG () return self.G end
function pathnode:setG ( i ) self.G = i end

function pathnode:getH () return self.H end
function pathnode:setH ( i ) self.H = i end

function pathnode:getParent () return self.parent end
function pathnode:setParent ( i ) self.parent = i end

function pathnode:getTileID () return self.tileID end
function pathnode:setTileID ( i ) self.tileID = i end