-- state_login object
-- lwi
-- ...

state_login = state:new()

print "[state_login]"

-- creation
function state_login:new (o)
	print "[state_login] new state_login"
	o = o or {}
	setmetatable(o, self)
	self.__index = self
	self.sid = 0

	
	self.width = 450
	self.height = 450
	x = screen_width / 2 - ( self.width / 2 )
	y = screen_height / 2 - ( self.height / 2 )
	
	
	-- add boxes & labels for username and password
	x = x+150
	y = y+100
	editboxname = sim:addEditbox( 30,  xcore.x2drect( x,y,x+150,y+20 ) )
	y = y + 35
	editboxpass = sim:addEditbox( 40,  xcore.x2drect( x,y,x+150,y+20 ) )


	x = screen_width / 2 - ( self.width / 2 )
	y = screen_height / 2 - ( self.height / 2 )
	
	x = x+105
	y = y+100	
	textname = sim:addText( 2, "Name", x, y, x+50, y+20 )
	y = y + 35	
	textpass = sim:addText( 3, "Password", x, y, x+50, y+20 )

	-- add some buttons
	x = screen_width / 2 - ( self.width / 2 )
	y = screen_height / 2 - ( self.height / 2 )
	
	x = x+100
	y = y+175
	buttonconnect = sim:addButton( 101, xcore.x2drect( x, y, x+100, y+20 ), "Connect" )
	x = x+105
	buttonback    = sim:addButton( 102, xcore.x2drect( x, y, x+100, y+20 ), "Exit" )

	editboxname:setVisible( false )
	editboxpass:setVisible( false )
	textname:setVisible( false )
	textpass:setVisible( false )
	buttonback:setVisible( false )
	buttonconnect:setVisible( false )

	sim:bindGUI ( "connect_button_pressed", 101, xcore.XGUI_BUTTON_CLICKED )
	sim:bindGUI ( "back_button_pressed", 102, xcore.XGUI_BUTTON_CLICKED )

	return o
end

-- called on state_login enter
function state_login:enter ()
	-- print "[state_login] enter state_login"
	editboxname:setText("")
	editboxpass:setText("")
	editboxname:setVisible( true )
	editboxpass:setVisible( true )
	textname:setVisible( true )
	textpass:setVisible( true )
	buttonback:setVisible( true )
	buttonconnect:setVisible( true )
end

-- called on state_login exit
function state_login:exit ()
	-- print "[state_login] exit state_login"
	editboxname:setVisible( false )
	editboxpass:setVisible( false )
	textname:setVisible( false )
	textpass:setVisible( false )
	buttonback:setVisible( false )
	buttonconnect:setVisible( false )
end

-- called to advance state_login
function state_login:input ()
	-- print ( "[state_login] input")
	self.time = self.time + 1
	r = ENUM_LOGIN -- 1

	if sim:isGUI( "connect_button_pressed" ) then
		if self.doConnect() == 1 then
			r = ENUM_VALIDATE
		end
	end
	if sim:isGUI( "back_button_pressed" ) then
		r = ENUM_MENU
	end

	sim:update()

	return r
end

-- called when changing state_login
function state_login:transition ( i )
	-- print "[state_login] transition"
end

-- connect and send un and pw to server
function state_login:doConnect()

	-- start the network subsystem and connect to game host.
	net = xcore.xnet()
	ip = "192.168.1.100" -- "127.0.0.1"
	net:client( ip ) -- TODO: pull ip from master


	print "[state_login] Connecting"
	n = editboxname:getText() -- get name from xeditbox
	p = editboxpass:getText() -- get password from xeditbox
	if n ~= "" and p ~= "" then
		t = n .. ":" .. p         -- glue them together
		print ( "[state_login] send : " .. t )
		net:send( xcore.XPACKET_VALIDATE, t ) -- send the validation string
	else 
		print ( "[state_login] username and/or password is null" )
		return 0
	end
	localusername = n -- hmm. this is not good here.
	return 1
end


