-- xenjine layer 2 joystick tutorial 1
-- c2007 lukas irwin sysop [ at ]xhrit.com
-- tutorial_joystick_1.module

-- required
function init()
	-- start a simulation
	-- require "module.settings" for video options
	sim = xcore.xsimulation ( xcore.XDT_OPENGL , 800, 600, 16, false, false, false )

	sim:setWindowCaption( "xenjine tutorial joystick 1 : basic controls" )

	-- add some static text
	sim:addText( 0, "xenjine tutorial joystick 1 : basic controls", 50, 50, 200, 62)

	-- add a static camera
	sim:addCamera ( 0, xcore.CAMERA_STATIC, 0,30,-40, 0,5,0)

end

-- required
function render()
	-- render simulation tree
	sim:render()
end

-- required
function update()
	sim:update()

	-- joystick only has manual event handeling for now
	while sim:getEventCount() > 0 do
		e = sim:getEvent()
		-- print ( "type: " .. e:getEventType() )
		if e:getEventType() == xcore.XJOYSTICK_EVENT then
			print ( "Axis 0:" .. e:getAxis(0) )
			print ( "Axis 1:" .. e:getAxis(1) )
		end
	end
end

-- end of file