-- xenjine layer 2 graphics tutorial 1
-- c2007 lukas irwin sysop [ at ]xhrit.com
-- tutorial_keyboard_1.module

-- required
function init()
	-- start a simulation
	-- require "module.settings" for video options
	sim = xcore.xsimulation ( xcore.XDT_OPENGL , 800, 600, 16, false, false, false )

	sim:setWindowCaption( "xenjine tutorial keyboard 1" )

	desc = [[
	xenjine tutorial keyboard 1
	
	This demo will show how to handel keyboard events.
	press and hold spacebar to see event timing.
	]]
	
	-- add some static text
	sim:addText( 0, desc, 50, 50, 600, 600)

	-- add a static camera
	sim:addCamera ( 0, xcore.CAMERA_STATIC, 0,30,-40, 0,5,0)

	sim:bindkey ( "spacebar",  xcore.XKEY_SPACE  )

	sim:setKeyDelay( 100 )
	
end

-- required
function render()
	-- render simulation tree
	sim:render()
end

-- required
function update()
	sim:update()

	-- if sim:isKey( "spacebar" ) then
	-- 	print "key is down"
	-- end
	
	if sim:isKeyDown( "spacebar" ) then
		print "down"
	end

	if sim:isKeyPressed( "spacebar" ) then
		print "pressed"
	end
	
	if sim:isKeyUp( "spacebar" ) then
		print "up"
	end

end



-- end of file