-- enemy.lua

enemy = { ID = 0 }

-- print "[enemy]"

-- creation
function enemy:new (o)
	-- print "[enemy] new pawn"
	o = o or {}
	setmetatable(o, self)
	self.__index = self

	-- define variables that are used to calculate following
	-- *don't change these*
	self.distanceX = 0
	self.distanceY = 0
	self.distanceTotal = 0
	self.moveDistanceX = 0
	self.moveDistanceY = 0
	self.moveX = 0
	self.moveY = 0
	self.totalmove = 0
	self.speed = 4
	self.turnRate = .5
	self.agroRange = 200
	self.mode = "follow"
	self._x = 0
	self._y = 0
	self._rotation = 0

	
	return o
end

function enemy:update()
	-- print ("[enemy] update")
	-- print ("[enemy] rotation " .. self._rotation)
	self.model:setPosition( xcore.x3dpoint(self._x, 0, self._y ) )
	self.model:setRotation( xcore.x3dpoint(0, self._rotation, 0 ) )
end
