-- Dungeon Tactics
-- Copyright 2012 lukas w. irwin [ lukas.w.irwin@gmail.com ]
-- This program is free software under the terms of the GNU General Public License version 3 or later.
-- ability.lua

ability = { ID = 0 }

-- print "[ability]"

EFFECT_TYPE_CLEAR       =  0
EFFECT_TYPE_NO_ACT      =  1
EFFECT_TYPE_NO_MOVE     =  2
EFFECT_TYPE_NO_SPECIAL  =  3
EFFECT_TYPE_NO_ATTACK   =  4
EFFECT_TYPE_DAMAGE      =  5
EFFECT_TYPE_BUFF        =  6
EFFECT_TYPE_DEBUFF      =  7
EFFECT_TYPE_SUMMON      =  8
EFFECT_TYPE_TRAP        =  9
EFFECT_TYPE_STEAL       = 10

-- creation
function ability:new (o)
	-- print "[ability] new ability"
	o = o or {}
	setmetatable(o, self)
	self.__index = self

	self.ability_id       = 0
	self.ability_name     = "Default ability"
	self.ability_graphic  = 0

	self.ability_effect   = 0
	self.ability_radius   = 0
	self.ability_type     = 0 -- 1 = allies only,  2 = enemies only
	self.ability_level    = 1

	self.stat_attack  = 0
	self.stat_defense = 0
	self.stat_move    = 0
	self.stat_range   = 0
	self.stat_damage  = 0
	self.stat_drain   = 0
	self.stat_sp      = 0
	self.stat_hp      = 0
	-- print "[ability] /new ability"
	return o
end

function ability:destroy()
	-- TODO: remove prototype
	-- TODO: remove mesh?
	-- TODO: remove icon
end

-- end of file